Bug 236604

Summary: www/domoticz: fails to build with boost 1.70
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: kiwi
Priority: --- Keywords: needs-patch
Version: LatestFlags: bugzilla: maintainer-feedback? (kiwi)
Hardware: Any   
OS: Any   
See Also: https://github.com/domoticz/domoticz/issues/3117
Bug Depends on:    
Bug Blocks: 235956    

Description Jan Beich freebsd_committer 2019-03-17 15:21:41 UTC
While preparing for Boost upgrade these ports failed to build due to an issue in bundled websocketpp. Can you help to avoid marking them as BROKEN?

$ fetch -qo- 'https://reviews.freebsd.org/D19303?download=true' |
  patch -Efsp0 -d /usr/ports
$ make all deinstall install clean -C/usr/ports/devel/boost-jam
$ make all deinstall install clean -C/usr/ports/devel/boost-libs
$ make -C/usr/ports/www/domoticz
[...]
.../work/domoticz-4.9700/hardware/Pinger.cpp:79:16: error: no member named 'get_io_service' in 'boost::asio::ip::basic_resolver<boost::asio::ip::icmp, boost::asio::executor>'
                                        resolver_.get_io_service().stop();
                                        ~~~~~~~~~ ^
.../work/domoticz-4.9700/hardware/Pinger.cpp:121:14: error: no member named 'get_io_service' in 'boost::asio::ip::basic_resolver<boost::asio::ip::icmp, boost::asio::executor>'
                        resolver_.get_io_service().stop();
                        ~~~~~~~~~ ^
2 errors generated.
Comment 1 kiwi 2019-03-22 12:37:02 UTC
Well, let's official Domoticz developpers to see and find a fix for that. Boost low level stuff is not something I have very good skills.
Comment 2 kiwi 2019-03-25 08:13:20 UTC
Jan, does the patch given on github issue can fix that ?

If so I will add this patch on the port.

Regards,
Comment 3 commit-hook freebsd_committer 2019-03-25 10:09:18 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar 25 10:08:43 UTC 2019
New revision: 496813
URL: https://svnweb.freebsd.org/changeset/ports/496813

Log:
  www/domoticz: unbreak with boost 1.70

  PR:		236604
  Obtained from:	upstream

Changes:
  head/www/domoticz/Makefile
  head/www/domoticz/distinfo
Comment 4 Jan Beich freebsd_committer 2019-03-25 10:10:25 UTC
(In reply to kiwi from comment #2)
Yes. I've backported it myself to save time (for you and me ;).